Properties Methods Events Direct Link

# Class Ext.state.Manager

Package: | Ext.state
Defined In: | StateManager.js
Class: | Manager
Extends: | Object

This is the global state manager. By default all components that are "state aware" check this class for state information if you don't pass them a custom state provider. In order for this class to be useful, it must be initialized with a provider when your application initializes.

    // in your initialization function
    init : function(){
       Ext.state.Manager.setProvider(new Ext.state.CookieProvider());
       ...
       // supposed you have a "Ext.BorderLayout" href="output/Ext.BorderLayout.html">Ext.BorderLayout
       var layout = new Ext.BorderLayout(...);
       layout.restoreState();
       // or a {Ext.BasicDialog}
       var dialog = new Ext.BasicDialog(...);
       dialog.restoreState();

This class is a singleton and cannot be created directly.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

clear( `String name` ) : void
Clears a value from the state
Clears a value from the state
Parameters:

- `name` : String
  The key name

Returns:

- `void`

Manager

get( `String name`, `Mixed defaultValue` ) : Mixed
Returns the current value for a key
Returns the current value for a key
Parameters:

- `name` : String
  The key name
- `defaultValue` : Mixed
  The default value to return if the key lookup does not match

Returns:

- `Mixed`
  The state data

Manager

getProvider() : Provider
Gets the currently configured state provider
Gets the currently configured state provider
Parameters:

- None.

Returns:

- `Provider`
  The state provider

Manager

set( `String name`, `Mixed value` ) : void
Sets the value for a key
Sets the value for a key
Parameters:

- `name` : String
  The key name
- `value` : Mixed
  The state data

Returns:

- `void`

Manager

setProvider( `Provider stateProvider` ) : void
Configures the default state provider for your application
Configures the default state provider for your application
Parameters:

- `stateProvider` : Provider
  The state provider to set

Returns:

- `void`

Manager

## Public Events

This class has no public events.